unordered_set File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_UNORDERED_SET

## Typedefs

template<typename _Key , typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_multiset = std::unordered_multiset< _Key, _Hash, _Pred, polymorphic_allocator< _Key > >
template<typename _Key , typename _Hash = std::hash<_Key>, typename _Pred = std::equal_to<_Key>>
using | std::pmr::unordered_set = std::unordered_set< _Key, _Hash, _Pred, polymorphic_allocator< _Key > >

## Functions

template<typename _Key , typename _Hash , typename _CPred , typename _Alloc , typename _Predicate >
unordered_multiset< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_multiset< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Hash , typename _CPred , typename _Alloc , typename _Predicate >
unordered_set< _Key, _Hash, _CPred, _Alloc >::size_type | std::erase_if (unordered_set< _Key, _Hash, _CPred, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file unordered_set.